[API Reference](../README.md) > [IEventSubscription](../interfaces/IEventSubscription.md)



# Interface: IEventSubscription

## Implemented by

* [EventSubscription](../classes/EventSubscription.md)
* [SubscriptionCollection](../classes/SubscriptionCollection.md)
* [Web3EventSubscription](../classes/Web3EventSubscription.md)


## Methods
<a id="unsubscribe"></a>

###  unsubscribe

► **unsubscribe**(milliseconds?: *`number`*): `Promise`.<`void`>



*Defined in [pubSubEventService.ts:200](https://github.com/daostack/arc.js/blob/f343aa24/lib/pubSubEventService.ts#L200)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| milliseconds | `number`   |  - |





**Returns:** `Promise`.<`void`>





___


